Package org.eclipse.ecf.core.util

## Class ConnectedContainerFilter

- java.lang.Object
- - org.eclipse.ecf.core.util.ConnectedContainerFilter

All Implemented Interfaces:
  `IContainerFilter`

    public class ConnectedContainerFilter
    extends Object
    implements IContainerFilter

### Constructor Summary

Constructors
`ConnectedContainerFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getResult()`
`boolean` `match​(IContainer containerToMatch)` Match a given containerToMatch against some set of implementation-defined criteria.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectedContainerFilter

    public ConnectedContainerFilter()

### Method Detail

#### match

    public boolean match​(IContainer containerToMatch)

Description copied from interface: `IContainerFilter`
Match a given containerToMatch against some set of implementation-defined criteria.

Specified by:
  `match` in interface `IContainerFilter`
Parameters:
  `containerToMatch` - the containerToMatch. Will not be `null`.
Returns:
  boolean true if the given containerToMatch fulfills some implementation-dependent criteria. false if not.

#### getResult

    public ID getResult()